Firefox only shows default icons in toolbars with tabmixplus and ubufox installed

Bug #281348 reported by surnorthghost on 2008-10-10
266
This bug affects 35 people
Affects Status Importance Assigned to Milestone
One Hundred Papercuts
Undecided
Unassigned
Ubufox Extension
High
Unassigned
ubufox (Ubuntu)
High
Alexander Sack
Nominated for Karmic by Sam Freilich
Intrepid
High
Unassigned
Jaunty
High
Alexander Sack

Bug Description

                            ATTENTION !
######################################
This bug was fixed by Alexander Sack for Intrepid and Jaunty.

Same symptoms arose again in Karmic.

I've reported a new bug for Karmic: bug #511840.
######################################

Binary package hint: firefox-3.0

Ubuntu intrepid 8.10

 intrepid/main Packages

Description: Ubuntu intrepid (development branch)

User Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.9.0.3) Gecko/2008092515 Ubuntu/8.10 (intrepid) Firefox/3.0.3

Enabled Extensions: [24]

    * abcTajpu 1.6.3
    * Add Bookmark Here ² 3.0.20081005
    * Bookmark Duplicate Detector 0.7.2
    * Calculator 1.1.12
    * Classic Compact Options 1.1.3
    * Diccionario de Español/España 1.1
    * Dictionary Switcher 1.0
    * DownloadHelper 3.3
    * Email This! Bookmarklet Extension 2.2.4
    * Ez Sidebar 3.1.2008052801
    * Flagfox 3.3.3
    * MR Tech Toolkit (formerly Local Install) 6.0.1 <---used to generate this list
    * NoScript 1.8.2.1
    * ScrapBook 1.3.3.7
    * Screen grab! 0.95
    * SlimSearch 0.1.9
    * Speed Dial 0.7.2.5
    * Status-bar Scientific Calculator 3.8.2
    * Tab Mix Plus 0.3.7
    * Text Link 2.0.2008052801
    * Toolbar Buttons 0.6.0.4 <------?
    * Ubuntu Firefox Modifications 0.6~b1
    * WebMail Notifier 1.1.5
    * WOT 20081006

Disabled Extensions: [1]

    * All-in-One Sidebar 0.7.6

Total Extensions: 25

Installed Themes: [2]

    * Classic Compact 3.0.9
    * Default

Installed Plugins: (7)

    * Default Plugin
    * Demo Print Plugin for unix/linux
    * DivX® Web Player
    * QuickTime Plug-in 7.2.0
    * Shockwave Flash
    * Totem Web Browser Plugin 2.24.2
    * Windows Media Player Plug-in 10 (compatible; Totem)

DistroRelease: Ubuntu 8.10

Gnome + XFce installed

surnorthghost (cgtiam) wrote :
description: updated
surnorthghost (cgtiam) wrote :

Using the "Repair Extensions/Themes List" in the firefox help menu seems to have fixed it.

surnorthghost (cgtiam) wrote :

But every time firefox crashes it loses all the extra icons and sometimes even the default extra icons, so when the customize toolbar windows comes up, it is almost empty or totally empty.
Using the "Repair Extensions/Themes List" in the firefox help menu, will get the icons back to the customize toolbar windows, but the icons positions on the toolbars are also reset, meaning that most of them would have to be brought out of the customize windows again.

Didier L (l-farquaad) wrote :

Hi,

I also experiment this bug, Firefox does not show any button coming from extensions. For example, the developer toolbar is empty!

I cannot find the "Repair Extensions/Themes List", I suppose this comes from an extension too?

Alexander Sack (asac) wrote :

try to disable ubuntu firefox extensions addon.

Changed in firefox-3.0:
status: New → Incomplete
Alexander Sack (asac) wrote :

... and all the rest of the bunch of extensions you have.

Didier L (l-farquaad) wrote :

Ok, here there seems to be a conflict between Ubuntu Firefox Modifications and Tab Mix Plus. If I disable any of them, all buttons reappear.

Alexander Sack (asac) wrote :

what versiopn of tabmix plus is used to reproduce this exactly?

Changed in firefox-3.0:
importance: Undecided → High
status: Incomplete → Confirmed
Changed in ubufox:
status: Confirmed → Triaged
importance: Undecided → High
status: New → Triaged
importance: Undecided → High
status: New → Triaged
blasd (blasd) wrote :

I was also using Ubuntu Firefox Modifications 0.6 together with Tab Mix Plus 0.3.7pre080728.
Now I disabled Ubuntu Firefox Modifications and my button positions are no longer resetting after a firefox restart.

Jussson (thekabbageman) wrote :

Slightly different symptom here. I have Intrepid, firefox 3.0.3, Ubufox 0.6 and TMP 0.3.7pre080920. I was seeing the default set of buttons in every firefox window beyond the first (but the first one showed my customizations, even after restarting firefox). I disabled Ubufox and my problem disappeared.

Myk Dowling (politas) wrote :

I'm also being affected by this bug. In my case, I have my Bookmarks moved into the menu bar to save on vertical screen real estate, and if I have the Ubuntu Firefox Modifications enabled, they just disappear.

This is only happening since I upgraded to 8.10 with Firefox 3.0.3 and UbuFox 0.6.

I'm also not seeing a "Repair Extensions/Themes List" option in the firefox help menu, so that suggestion is not helpful.

Disabling Tab Mix Plus is not a solution.

Myk Dowling (politas) wrote :

Deleting my extensions.rdf file makes things return to normal, but only as a once-off. When I restart Firefox again, the bookmarks/icons are gone again.

ken manheimer (ken-manheimer) wrote :

me too, and in case it helps here are the collection of symptoms i see on kubuntu 8.10, firefox 3.0.3 2008101315, when both ubuntu firefox options (current as of writing) and tab mix plus (default version as well as the most recent dev build, 0.3.7pre.081003)

- customize toolbars collection of icons reduced to minimal set
- add-on icons i situated on toolbars gone - eg, Clear Cache, Grab and Drag, Google toolbar auto-fill
- Add-on toolbars (eg, google toolbar, web developer) appear empty, or extremely reduced
- toolbar reconfigurations (i move the search box to the empty space in the navigation toobar) are cancelled (so the search box is back crowding the address bar)

it may be unrelated, but firefox has crashed several times in the past few days, just as i've been noticing my toolbar customizations disappearing. it may be unrelated, but it's a serious problem, and i strongly suspect a connections.

if i deactivate either tab mix plus or ubuntu firefox options add-ons, or both, and restart, then i see the full repertoire of available icons and regain all my customizations. (i haven't been running long enough to be sure i'm clear of browser crashes.)

i should add that it has *never* been clear to me what i sacrifice by disabling ubuntu firefox options. i vaguely understand that it enables firefox add-ons to be installed as debian packages, but don't know how essential that is to operation. tab mix plus is important enough to my moment-to-moment browser operation that i go with the uncertain choice of disabling ubuntu firefox options. i'm hoping you all can fix the interaction problem, particularly if this is going to disrupt something important.

Martin Maney (maney) wrote :

What I noticed was that a few trivial toolbar customizations (lose the home button, add new tab button, move search box up to the underutilized menu bar to leave more room for displaying rechere URLs) would work fine... until I closed and restarted Firefox. I also use tabmix plus, and am happy to report that disabling the Ubuntu extension, which I must agree has never deliverd any visible benefit to me, seems to have fixed the problem. Kudos for that suggestion, but why the heck can't we just rip the useless extension out and be done with it? The house of cards that is a usable Firefox install is flakey enough without adding another source of problems for no visible benefit.

"All browsers suck, but some have a better value to suckage ratio"

akahige (michael-ronin-group) wrote :

I just upgraded to Intrepid and got hit by this bug. I was all up-to-date on the Hardy system with no problems. Using FF 3.0.4 + TMP .3.7.3 (from AMO) + Ubuntu Firefox Modifications .6, I lost all my toolbar customizations.

It's been two weeks since the last post on this issue... is there no fix on the horizon?

Alexander Sack (asac) wrote :

i cannot really reproduce this ... nor do i understand whats the problem. I installed tab mix plus 0.3.7.3 ... seems to work. I added session manager icon to toolbar. restarting didnt remove that from there. also multirow setting seems to be remember after restart.

Please give an easy to reproduce instruction ... and accompany your issue with screenshots to make the point.

Thanks!

Alexander Sack (asac) wrote :

maybe noteworthy: on first start i was asked if i wanted to use the "default" session restore mechanism of firefox or the tabmixplus one. I kept the default firefox one.

Myk Dowling (politas) wrote :

The Session restore mechanism in Tab Mix Plus is not causing the problem; it is disabled in my setup (I use Session Manager), but I still see the symptoms described above if both TMP and Ubufox are enabled.

I'm not sure what screenshots are going to achieve. A screenshot of an affected window will be a standard set of buttons and layout. Do you have Ubuntu Firefox Modifications (aka Ubufox) enabled? It appears to be the combination of both addons that causes the problem.

akahige (michael-ronin-group) wrote :

This process worked for me to duplicate the bug every time:
1) start w. a fresh profile (which will have Ubufox installed by default)
2) goto AMO and install something with a toolbar icon... I chose Update Notifier since it's one of the things I run
3) restart Firefox and drag the toolbar icon over by the throbber
4) go back to AMO and get TMP

If you get the same results I do, when you restart Firefox, the Update Notifier icon will be gone, the throbber will be gone, and the icon library in the "customize toolbar window" (whatever that thing is officially called) will NOT contain those missing icons.

And if you disable Ubufox, the icons come back.

It's not an issue of corruption in localstore.rdf. It's almost like it's being entirely ignored.

If it's in any way relevant, I'm on an amd64 system, running Intrepid and Gnome.

(I don't have time at the moment to play with screenshots, but like Myk Dowling said, it's just going to show the standard layout.)

Alexander Sack (asac) wrote :

Thanks for the info. I nailed it down I think.

fix committed to ubufox trunk

Committing to: bzr+ssh://<email address hidden>/~asac/ubufox/main/
modified content/alternatePlugins.js
Committed revision 148.

Changed in ubufox:
status: Triaged → Fix Committed
Alexander Sack (asac) wrote :

fix cherry picked to development release package.

Using saved location: bzr+ssh://<email address hidden>/~ubuntu-core-dev/ubufox/ubuntu/
Pushed up to revision 87.

Changed in ubufox:
status: Triaged → Fix Committed
Alexander Sack (asac) wrote :

fix cherry picked to stable maintanence packaging tree.

Using saved location: bzr+ssh://<email address hidden>/~ubuntu-core-dev/ubufox/ubuntu.intrepid/
Pushed up to revision 87.

Alexander Sack (asac) wrote :

In Progress for intrepid as we have to initiate a SRU for this. Have to wait until the current -proposed package made its way to -updates.

Changed in ubufox:
status: Triaged → In Progress
theLured (thelured) wrote :

Hello I think I have a solution.
disable both"Ubuntu Firefox Modifications" or "Tab Mix Plus" addons.
restart Firefox

If you still have no toolbars
Close Firefox
Go to /home/your-username/.mozilla/firefox/some-jibberish.default/
In here rename your localstore.rdf to localstore.rdf.backup

Start Firefox and you should be able to see your extensions. You will have to set up your appearance again though. And only have either "Ubuntu Firefox Modifications" or "Tab Mix Plus" enabled.

Myk Dowling (politas) wrote :

blowing away localstore.rdf is not a fix. It restores your setup only until you restart Firefox. See Alexander's comments. This is in the pipeline to be fixed properly soon.

theLured (thelured) wrote :

It worked for me. I have restarted Firefox several times. I have FireFM, AiOS, bookmarks and a custom toolbar working all fine after removing localstore.rdf. Although the "Ubuntu Firefox Modifications" extension is disabled.

ken manheimer (ken-manheimer) wrote :

theLured: if you read the prior entries in the bug report carefully, you'll see that a bunch of people have reported that just disabling "Ubuntu Firefox Modification" is sufficient to prevent the problem, regardless of twiddling localstore.rdf. i'm following up just so people aren't mislead by your entry to believe there's any need for (or, if i'm understanding Myk Dowling's response correctly, any benefit from) removing localstore.rdf.

theLured (thelured) wrote :

I know that. As I said in my first post, only remove localstore.rdf if disabling "Ubuntu Firefox Modification" doesn't fix the problem. Mine somehow got messed up.

Alexander Sack (asac) wrote :

we should SRU this.

Changed in ubufox:
milestone: none → intrepid-updates
Steve Langasek (vorlon) on 2009-01-29
Changed in ubufox:
assignee: nobody → asac
Scaler (balaton22) wrote :

Hello,
I've got the same bug when TabMixPlus and an other addon are both activated.
Since this one is marked as "Fix Committed", is it possible to know what was the bug and how to fix it please ?
Thanks for the help.

scubdup (walkersr) wrote :

As far as I see, this bug has not been fixed. There is a workaround (don't have TMP and Ubuntu Firefox Modifications enabled at the same time) but that's not the same as a fix, right?

Thomas Liebetraut (tommie-lie) wrote :

Guys, the bug status says "Fix comitted", which means that the bug was fixed in the developer's codebase. This is true, if you check out the development or ubuntu branch of ubufox. The fix has not been released yet, neither in Intrepid, nor in Jaunty. It is the task of the package maintainer (Alexander Sack) to provide the Jaunty repositories with an updated version of the package and the task of someone else to file a SRU for this package in Intrepid. The bug's status should for the Jaunty project branch should probably not have been set to "Fix committed", as this status is only true for the main project branch ("Ubufox extension").
I'll attach a package I just made containing the fix for this bug for anyone to install until there is an updated package in the ubuntu repos.

On Wed, Feb 04, 2009 at 12:06:01PM -0000, Thomas Liebetraut wrote:
> Guys, the bug status says "Fix comitted", which means that the bug was fixed in the developer's codebase. This is true, if you check out the development or ubuntu branch of ubufox. The fix has not been released yet, neither in Intrepid, nor in Jaunty. It is the task of the package maintainer (Alexander Sack) to provide the Jaunty repositories with an updated version of the package and the task of someone else to file a SRU for this package in Intrepid. The bug's status should for the Jaunty project branch should probably not have been set to "Fix committed", as this status is only true for the main project branch ("Ubufox extension").
> I'll attach a package I just made containing the fix for this bug for anyone to install until there is an updated package in the ubuntu repos.

You could also provide updated package branches and request a merge
...

 - Alexander

Jean-Philippe Fleury (jpfle) wrote :

theLured wrote on 2008-12-20:
> I know that. As I said in my first post, only remove localstore.rdf
> if disabling "Ubuntu Firefox Modification" doesn't fix the problem.

Thanks a lot! Only deactivate "Ubuntu Firefox Modification" and restart Firefox was not enough for me, I still had the bug. Rename localstore.rdf did the trick. :)

asac has a verion on bzr that fixs this prob.
just run:
$ bzr branch lp:ubufox
to download the source and then run the build.sh script to get the xpi.
then install it into firefox

I'm using it right now, and the bug seem to be fix on both 3.0 and 3.1.

on a side note i found two new bugs:
* cant resize the search bar;
* some SSL sites fail to open (like launchpad)

Psykotik (linux-ikiru) wrote :

Still an issue here. I installed the fix (Thomas' one), tried to disable ubufox, nothing get me back neither my web developper bar nor my icons (when customizing firefox toobars).

Only disabling TabMixPlus works; is it truly related to ubufox?

On Saturday 14 February 2009 13:02:37 Psykotik wrote:
> Only disabling TabMixPlus works; is it truly related to ubufox?

did you install TabMixPlus trunk 0.3.7?
http://tmp.garyr.net/forum/viewtopic.php?t=9178

Psykotik (linux-ikiru) wrote :

Don't exactly understand why, but after a reboot, my icons (and especially web developper ones) are back. I also removed the ubufix from thomas, before rebooting (it could be of use for somebody having same issue).

Alexander Sack (asac) wrote :

yes, i forgot to close this. the ubufox fix was uploaded to jaunty a while back.

Changed in ubufox:
status: Fix Committed → Fix Released
status: Fix Committed → Fix Released
enb (elitenoobboy) wrote :

This bug seems to be back in karmic.

After noticing that many of my icons were missing, disabling the ubuntu mod extension restored all of the buttons to the customize menu. This is with all of the latest packages as of today. Is anyone else using karmic?

On Tue, Sep 22, 2009 at 12:08:15AM -0000, enb wrote:
> This bug seems to be back in karmic.
>
> After noticing that many of my icons were missing, disabling the ubuntu
> mod extension restored all of the buttons to the customize menu. This is
> with all of the latest packages as of today. Is anyone else using
> karmic?

I use karmic and have a custom toolbar ... and ubufox extension enabled. I don't see
any issues with the toolbar buttons.

 - Alexander

enb (elitenoobboy) wrote :

I just tried re-enabling ubuntu firefox modifications .8b1, and it took away all of the icons such as the display closed tabs list went away, so it is definitely caused by ubuntu firefox mod for me. I am using .3.8.2 tab mix plus.

John Vivirito (gnomefreak) wrote :

please update and drop tabmix plus and see if it still happens. i can confirm this was fixed since i brought it up to Alexander as soon as i saw it on testing versions of firefox.

Murz (murznn) wrote :

The problem exists not only with tabmixplus extension, today I have installed fresh Ubuntu Karmic Beta1 with firefox 3.5, install some extensions:
    * Classic Compact Options 1.1.3
    * ColorfulTabs 3.9.4
    * Delicious Bookmarks 2.1.062
    * MR Tech Toolkit 6.0.3.4
    * Ubuntu Firefox Modifications 0.8b1
    * Weave 0.7

And after this I see icons in bars hidden, after disabling "Ubuntu Firefox Modifications 0.8b1" it goes back.

Jean-Philippe Fleury (jpfle) wrote :

Today I've updated from Ubuntu 9.04 to 9.10 Beta, and this bug appears again with Firefox 3.5.3. I must deactivate Ubufox to have my custom toolbar.

luke16 (luke16-gmail) wrote :

This problem went away after I wiped my old firefox profile as part of a cleanup. So it seems to be related to old profile data. I don't have my old profile data anymore so I can't check to see if it comes back, but does anyone else still have this problem if they try using a new profile?

Murz (murznn) wrote :

I have this problem on Karmic clean install with extensions:
Enabled Extensions: [13]

    * Classic Compact Options 1.2.1
    * ColorfulTabs 3.9.4
    * Delicious Bookmarks 2.1.071
    * Download Statusbar 0.9.6.5
    * FireGestures 1.5.4
    * Google Gears 0.5.32.0
    * MR Tech Toolkit 6.0.3.4
    * SubmitToTab 0.3.5
    * Tab Mix Plus 0.3.8.2
    * Test Pilot 0.2.1
    * Tree Style Tab 0.8.2009090201
    * Weave 0.7
    * Web Developer 1.1.8

Disabled Extensions: [1]

    * Ubuntu Firefox Modifications 0.8

If I enable "Ubuntu Firefox Modifications 0.8" and restart firefox, I didn't see the Web developer and Delicious buttons, if I disable and restart, the buttons goes back.

LukasThyWalls (thywalls) wrote :

I have this problem now with Karmic, with Firefox 3.5.3 and Firefox 3.5.4, but only in the first restart after a new extension install.

I described the problem in Tab Mix Plus Bug forum: http://tmp.garyr.net/forum/viewtopic.php?t=11437

Xavier Robin (jti-533g) wrote :

Should a new bug be filled in launchpad against Karmic or should this one be reopened?

enb (elitenoobboy) wrote :

This problem went away for a while for me, but then it came back in the latest karmic update to firefox and I had to disable the ubuntu ff modification addon again, so it is still present.

Dudraug (dudraug) wrote :

I have same problem. My system is ubuntu 9.10 (i386).

firefox:3.5.4+nobinonly-0ubuntu0.9.10.1
ubufox:0.8-0ubuntu1

Extensions:
Adblock Plus
Adblock Plus: Element Hiding Helper
Chatzilla
DownloadHelper
DownThemAll
fireftp
Flagfox
Flashblock
Java Console
QuickProxy
Russian spellchecking dictionary
Tab Mix Plus
Ubuntu Firefox Modifications

Disabling Tab Mix Plus and/or Ubuntu Firefox Modifications solves the problem

Sam Freilich (l33tminion) wrote :

Yeah, I'm also having this problem in Karmic with Firefox 3.5. Wasn't an issue with 3.0 (possibly because I disabled the Ubuntu Firefox modifications). Wound up going to great lengths in trying to debug the problem, too. Argh.

John Vivirito (gnomefreak) wrote :

Please file a bug with upstream author on tab mix package. We do not support it and ubufox fixed its end.

enb (elitenoobboy) wrote :

When updating the firefox through the repository causes the problem to reoccur, with no change to tabmixplus, I would think that it would be the ubuntu firefox addon that is the problem. Not mention that it breaks OTHER addons as well. Or are you going to say that it is all of the other addons fault as well?

Alexander Sack (asac) wrote :

On Wed, Nov 04, 2009 at 07:48:12PM -0000, enb wrote:
> When updating the firefox through the repository causes the problem to
> reoccur, with no change to tabmixplus, I would think that it would be
> the ubuntu firefox addon that is the problem. Not mention that it breaks
> OTHER addons as well. Or are you going to say that it is all of the
> other addons fault as well?

Yes, this is something we should look into on ubufox side. However, I am
sure its a new bug as the original bug about this was fixed quite some
time ago.

 - Alexander

Myk Dowling (politas) wrote :

What about a fix for the Intrepid version? That was the original bug, and it's still "In Progress" Some of us are still using Intrepid, you know.

Vjcamarena (vjcamarena) wrote :

Hey everyone, nice to know you.

I wanted to report that I have the same bug (on Karmic Koala i386).

To explain it properly:
When I try to customize the icons in the navigation bar, I can only choose from the defaults, even when I have extensions installed that provide me with new options. For example; Tab Mix Plus gives you a button to reopen closed tabs and another to reopen closed windows. Even though the rest of things it does work just fine, I can't see those buttons in the customize menu, just the defaults. And even if I customize it using only the defaults, it goes back to the original arrangement once I close and reopen Firefox.

Firefox:3.5.4
Ubuntu Firefox Modifications:0.8

Extensions:

Better Gmail 2
Better Greader
Checkbox Mate
Download Helper
Download Statusbar
Evernote Web Clipper
Fast Dial
Fastestfox
Firegestures
Fission
Greasemonkey
Locationbar2
Personal Menu
Stylish
Tab Mix Plus
Ubiquity
Weave
Xmarks

Disabling Ubuntu Firefox Modifications solved the problem for me, for all of my extensions. Not only for Tab Mix Plus, but also for Personal Menu (which loses much of its use without it), Download Helper, Evernote Web Clipper, Fast Dial, Stylish and Xmarks.

See you all around!

Kevin (kevinshlee) wrote :

I have the same problem. Just like others, if I disable Ubuntu Firefox Modifications, it's fine.

-Ubuntu Linux 9.10 Karmic Koala Desktop amd64

-Firefox 3.5.5

-Extensions:
 Abduction! 3.0.4
 Clear Cache Button 0.9b
 DownloadHelper 4.6.4
 DownThemAll! 1.1.7
 Firebug 1.4.5
 Tab Mix Plus 0.3.8.2
 Ubuntu Firefox Modifications 0.8

Shahar Or (mightyiam) wrote :

Same problem here. Disabling tabmixplus or ubuntu modifications works around it.
Karmic.
ubufox 0.8-0ubuntu1
firefox-3.5 3.5.5+nobinonly-0ubuntu0

Last updated: Sun, 15 Nov 2009 16:58:04 GMT

User Agent: Mozilla/5.0 (X11; U; Linux i686; he-IL; rv:1.9.1.5) Gecko/20091109 Ubuntu/9.10 (karmic) Firefox/3.5.5

*** Extensions (enabled: 24, disabled: 3; total: 27)
Adblock Plus 1.1.1
bit.ly preview 1.266
Boost for Facebook 9.8.6
ColorZilla 2.0.2 [disabled]
Converter 0.8.6
Dictionary Switcher 1.0 [disabled]
DownThemAll! 1.1.7
Firebug 1.4.5 [disabled]
Flagfox 3.3.18
Flash Video Resources Downloader 1.0.2
Flashblock 1.5.11.2
Google Gears 0.5.32.0
Greasemonkey 0.8.20090920.2
gTranslate 0.5.1
hid.im 0.3.2
InfoLister 0.10.1
Launchpad Improvements 0.8
Novell Moonlight 1.99.8
Personas 1.4
Read it Later 0.9948
Screengrab 0.96.2
Show my Password 1.7
Tab Mix Plus 0.3.8.2
Ubuntu Firefox Modifications 0.8
Update Notifier 0.1.5.5
User Agent Switcher 0.7.2
WOT 20091028

*** Themes (1)
Default [selected]

*** Plugins
DivX® Web Player
Java(TM) Plug-in 1.6.0_16-b01
QuickTime Plug-in 7.2.0
Shockwave Flash
Silverlight Plug-In
VLC Multimedia Plug-in
VLC Multimedia Plugin (compatible Totem 2.28.1)
Windows Media Player Plug-in 10 (compatible; Totem)
Xine Plugin

Alden (jason-alden-benoit) wrote :

Thanks for looking into this Alexander! I have narrowed it down to TabMixPlus and Ubufox for me. I think I can live without Ubufox, however I would like to re-enable it as it is definitely a nice extension. It is so nice, that many of us have no idea what it even does! ; ) When stuff makes like easier, but is transparent, that is just awesomo! It can't get any better. Unless it breaks my buttons... therefore no longer invisible. : )

 On a side note, I like that there is more of a description now, but to many it may still not be clear. Is it possible to add some examples, i.e. "Ubuntu configuration defaults and apt support for extensions/plugins. (Missing Webpage content, I.E. Flash, Shockwave, etc.)" Just something so that when someone looks, they will go "Oh yea that little poop-up dropdown thingy!", or even the idea without ever seeing that.

Thanks again for making this extension!

Didier L (l-farquaad) wrote :

Hi,

I just wanted to tell that I am not affected by this bug in Karmic while still using both TMP (0.3.8.2) and Ubufox (0.8) at the same time. In fact I believe I was only affected in Intrepid, disabled Ubufox and re-enabled it when upgrading to Jaunty. The issue never appeared again since then.

Hope this helps…

Bodo Bellut (bodo-bellut) wrote :

I'm also affected by this bug in Karmic AMD64. Steps to reproduce:

- create new FF profile
- install e.g. Adblock Plus which will put an icon in your toolbar and restart FF
- at this point, the ABP icon is still being displayed
- install Tab Mix Plus and restart FF
- at this point, the ABP icon is gone
- disable either TMP or ubufox and restart FF
- at this point, ABP icon is displayed again

Adblock Plus 1.1.2
Tab Mix Plus 0.3.8.2

bodo@sakura:~$ apt-cache policy firefox-3.5 ubufox
firefox-3.5:
  Installed: 3.5.5+nobinonly-0ubuntu0.9.10.1
  Candidate: 3.5.5+nobinonly-0ubuntu0.9.10.1
  Version table:
 *** 3.5.5+nobinonly-0ubuntu0.9.10.1 0
        500 http://de.archive.ubuntu.com karmic-updates/main Packages
        500 http://security.ubuntu.com karmic-security/main Packages
        100 /var/lib/dpkg/status
     3.5.3+build1+nobinonly-0ubuntu6 0
        500 http://de.archive.ubuntu.com karmic/main Packages
ubufox:
  Installed: 0.8-0ubuntu1
  Candidate: 0.8-0ubuntu1
  Version table:
 *** 0.8-0ubuntu1 0
        500 http://de.archive.ubuntu.com karmic/main Packages
        100 /var/lib/dpkg/status

Vish (vish) wrote :

Thank you for bringing this bug to our attention. However, a paper cut should be a small usability issue, in the default Ubuntu install, that affects many people and is quick and easy to fix. So this bug can't be addressed as part of this project.

- Papercuts are for default icons , extensions . Not a problem with the default install.
For further information about papercuts criteria, please read https://wiki.ubuntu.com/PaperCut.

Don't worry though, this bug has been marked as "Invalid" only in the papercuts project.

Btw , Tested on a fresh profile with the tabmixplus and ubufox extensions. The toolbars icons *do* change. Seems the issue is fixed in firefox.

Changed in hundredpapercuts:
status: New → Invalid
Shahar Or (mightyiam) wrote :

Dear Vish,

What versions did you test, please?

Vish (vish) wrote :

@Shahar Or :
In Firefox 3.5.7 it works, attaching the screenshot after following steps in comment #19.
Once you close firefox and open it again it *does* have the button on the toolbar.
[Note: the icon does not appear when using the restart button and restarting while disabling/enabling the TMP addon. ]
Somehow restarting using the "restart" button causes some problem. [But, I usually never use the restart button ;) ]

Beyond comment 39 , everyone just kept adding other problems , it would be ideal if people filed separate bug instead.

enb (elitenoobboy) wrote :

"In Firefox 3.5.7 it works, attaching the screenshot after following steps in comment #19.
Once you close firefox and open it again it *does* have the button on the toolbar.
[Note: the icon does not appear when using the restart button and restarting while disabling/enabling the TMP addon. ]
Somehow restarting using the "restart" button causes some problem. [But, I usually never use the restart button ;) ]"

Even when I don't use the restart button in 3.5.7, my icons from tabmixplus and adblock still go away, while at the same time, the home icon reappears.

enb (elitenoobboy) wrote :

And another screenshot with it enabled, showing the icons disappearing.

Bazon (bazonbloch) wrote :

For me, the Combination of the Ubuntu Firefox Extension and Tab Mix Plus also tends to confuse the selected tab order from time to time. (I choosed to open new tabs next to the momentary tab in the right, but sometimes it opens them on the left instead.) when i disable the ubutu firefox extension, everything works fine.
Should I file a new bug or should this be THE bug about incompatibility of ubuntu firefox extension and tab mix plus?

Vish (vish) wrote :

@Bazon, it would be better if a separate bug is filed. people started commenting on a closed[fixed] bug more than _6 months_ after the bug was marked as fixed.

It might be a separate issue , commenting on a closed bug is not really ideal.

Myk Dowling (politas) wrote :

Why do you say the bug is closed, when it's still "In Progress" for Intrepid? Aren't Intrepid users going to get a fix actually implemented? Are the Ubufox maintainers just ignoring the issue until everyone upgrades?

Vish (vish) wrote :

@Myk Dowling : Interpid is still in progress, and is mentioned as a good candidate for SRU [stable release update].
Majority of the comments above have been from Karmic users.

enb (elitenoobboy) wrote :

"Majority of the comments above have been from Karmic users."

So if it is a problem in karmic too, then why only fix it in intrepid?

Myk Dowling (politas) wrote :

I think Vish's point is that it _has_ been fixed in Karmic, and that people are experiencing the exact same symptoms means they must suffering from a completely different, entirely unrelated bug. Ok, maybe not entirely unrelated. I would say Karmic users should lodge a new bug and label it as a possible reversion bug of this one.

I'm interested in knowing why it's taken so long since a fix has been proposed for this to make it into Intrepid. Personally, I've just given up on Ubufox. I doubt I will ever install it again, even when I do upgrade. I've never really seen the point of it, anyway.

Shahar Or (mightyiam) wrote :

This bug was fixed by Alexander Sack for Intrepid and Jaunty.

Same symptoms arose again in Karmic.

I've reported a new bug for Karmic: bug #511840.

description: updated
Sergio Zanchetta (primes2h) wrote :

Thank you for reporting this bug to Ubuntu. Intrepid Ibex 8.10 reached EOL on 30 March 2010.
Please see this document for currently supported Ubuntu releases:
https://wiki.ubuntu.com/Releases

Please feel free to report any other bugs you may find.
Thank you.

Changed in ubufox (Ubuntu Intrepid):
status: In Progress → Won't Fix
Sergio Zanchetta (primes2h) wrote :

I've just realized I made a mistake, Intrepid Ibex 8.10 "will reach" EOL on 30 "APRIL" 2010.

Sorry for this.

Anyway, I think that one month doesn't make any difference now.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers